library universally;

export 'package:flutter_localizations/flutter_localizations.dart';
export 'package:json_annotation/json_annotation.dart';
export 'package:carousel_slider/carousel_slider.dart';
export 'package:flutter_svg/flutter_svg.dart';
export 'package:flutter_spinkit/flutter_spinkit.dart';
export 'package:keframe/keframe.dart';
export 'package:extended_image/extended_image.dart' hide MultipartFile;
export 'package:extended_image_library/extended_image_library.dart'
    hide MultipartFile;
export 'package:flutter_curiosity/flutter_curiosity.dart';
export 'package:flutter_waya/flutter_waya.dart';
export 'package:fl_extended/fl_extended.dart';
export 'package:fl_scroll_view/fl_scroll_view.dart';
export 'package:fl_list_wheel/fl_list_wheel.dart';
export 'package:fl_dio/fl_dio.dart';
export 'package:window_manager/window_manager.dart';

export 'package:permission_handler/permission_handler.dart';
export 'package:path_provider/path_provider.dart';
export 'package:url_launcher/url_launcher.dart';
export 'package:package_info_plus/package_info_plus.dart';
export 'package:android_intent_plus/android_intent.dart';
export 'package:connectivity_plus/connectivity_plus.dart';
export 'package:device_info_plus/device_info_plus.dart';

export 'package:hive_flutter/hive_flutter.dart';
export 'package:hive/hive.dart';

/// app
export 'src/app/base_app.dart';
export 'src/app/material_app.dart';
export 'src/app/cupertino_app.dart';
export 'src/app/widgets_app.dart';

/// component
export 'src/component/changed_builder.dart';
export 'src/component/extension.dart';
export 'src/component/component.dart';
export 'src/component/gif.dart';
export 'src/component/list.dart';
export 'src/component/picker.dart';
export 'src/component/popup.dart';
export 'src/component/scaffold.dart';
export 'src/component/text.dart';
export 'src/component/text_field.dart';
export 'src/component/tab_bar.dart';
export 'src/component/user_privacy.dart';
export 'src/component/switch_api.dart';
export 'src/component/cache.dart';
export 'src/component/keep_alive_wrapper.dart';

/// dependencies
export 'src/dependencies/dio.dart';
export 'src/dependencies/hive.dart';
export 'src/dependencies/svg.dart';
export 'src/dependencies/carousel_slider.dart';
export 'src/dependencies/extended_image.dart';
export 'src/dependencies/spin_kit.dart';

/// dependencies/plugin
export 'src/dependencies/plugin/permission_handler.dart';
export 'src/dependencies/plugin/url_launcher.dart';
export 'src/dependencies/plugin/connectivity.dart';
export 'src/dependencies/plugin/path_provider.dart';
export 'src/dependencies/plugin/package_info.dart';
export 'src/dependencies/plugin/android_intent.dart';
export 'src/dependencies/plugin/device_info.dart';

/// global
export 'src/global.dart';

/// const
export 'src/const/const.dart';
export 'src/const/desktop.dart';
export 'src/const/ios_macos_setting.dart';
